curl --request POST \
--url https://www.prometheus.services/api/v1/correlation/run \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"seriesA": {
"type": "stock_price",
"companyId": "<string>"
},
"seriesB": {
"type": "stock_price",
"companyId": "<string>"
},
"control": {
"type": "stock_price",
"companyId": "<string>"
},
"options": {
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
}
'import requests
url = "https://www.prometheus.services/api/v1/correlation/run"
payload = {
"seriesA": {
"type": "stock_price",
"companyId": "<string>"
},
"seriesB": {
"type": "stock_price",
"companyId": "<string>"
},
"control": {
"type": "stock_price",
"companyId": "<string>"
},
"options": {
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seriesA: {type: 'stock_price', companyId: '<string>'},
seriesB: {type: 'stock_price', companyId: '<string>'},
control: {type: 'stock_price', companyId: '<string>'},
options: {startDate: '2023-12-25', endDate: '2023-12-25'}
})
};
fetch('https://www.prometheus.services/api/v1/correlation/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Run correlation
Correlate two series (optionally partialling out a control) with transformations and lag search.
Authorizations
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Body
A series for the correlation engine. Valid companyId / indicatorCode / symbol values come from GET /api/v1/correlation/catalog — anything not in the catalog returns 404.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
A series for the correlation engine. Valid companyId / indicatorCode / symbol values come from GET /api/v1/correlation/catalog — anything not in the catalog returns 404.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
A series for the correlation engine. Valid companyId / indicatorCode / symbol values come from GET /api/v1/correlation/catalog — anything not in the catalog returns 404.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
The response is of type object.